<script setup>
import AdminAppLayout from "@/Layouts/AdminAppLayout.vue";
import { useForm } from '@inertiajs/vue3'

defineProps({ errors: Object })

const form = useForm({
    title: null,
    url: null,
    image: null,
})

</script>

<template>
    <AdminAppLayout>
        <form @submit.prevent="form.post(route('admin.sliders.store'))">

            <div style="margin-top: 50px;" class="mb-3">
                <label for="title" class="form-label">Заголовок</label>
                <input
                    type="text"
                    class="form-control"
                    id="title"
                    placeholder="Заголовок"
                    v-model="form.title"
                />
            </div>

            <div class="mb-3">
                <label for="title" class="form-label">Ссылка</label>
                <input
                    type="text"
                    class="form-control"
                    id="title"
                    placeholder="Ссылка"
                    v-model="form.url"
                />
            </div>

            <div  class="mb-3">
                <label for="formFile" class="form-label">Картинка слайда</label>
                <input class="form-control-file" type="file" @input="form.image = $event.target.files[0]" />
            </div>
            <div style="text-align: right; " class="button">
                <button :disabled="form.processing" class="btn btn-success btn-lg" type="submit">Создать</button>
            </div>

            <div v-for="error in errors" class="alert alert-danger" role="alert">
                {{ error }}
            </div>

        </form>
    </AdminAppLayout>
</template>

<style scoped>
.button {
    text-align: center;
}
.img {
    max-height: 100px;
}
</style>
